
###################################################
###	Clubbing 
###################################################

###
###	Workspace, working directory, data, and functions
###

rm(list = ls())


#	setwd("c:/work")	# set directory, where data set and R-code are located


dat	<- read.table(file = "d7003a.csv", header = TRUE, sep = ";", skip = 1)

	
source(file = "PS-Clubbing-Functions.R")





###
###	Clubbing results
###

###	Computation

PS.results	<- PS.Clubbing(
  dat = dat,	
  adjust.step3 = FALSE, 
  iterate.merging = FALSE,	
  merge.divergencegroup = TRUE,
  c.star = 0
)






###	Show results

PS.results










###################################################
###	Example for different results with/without adjustments
###################################################

###
###	Modified data (first year omitted)
###

dat.mod	<- dat[-1, ]





###
###	Algorithm with default options (corresponds to approach of Phillips & Sul, 2009)
###

PS.results.def	<- PS.Clubbing(
  dat = dat.mod,	
  adjust.step3 = FALSE, 
  iterate.merging = FALSE,	
  merge.divergencegroup = TRUE,
  c.star = 0
)





###
###	Algorithm with adjustments
###

PS.results.adj	<- PS.Clubbing(
  dat = dat.mod,	
  adjust.step3 = TRUE, 
  iterate.merging = TRUE,	
  merge.divergencegroup = FALSE,
  c.star = 0
)






###
###	Results
###

identical(PS.results.def$pcl.fcl.regions, PS.results.adj$pcl.fcl.regions)	# different clubbing

summary(PS.results.def$pcl.fcl.regions - PS.results.adj$pcl.fcl.regions)	# different final clubs

countries.dif	<- which(rowMeans(PS.results.def$pcl.fcl.regions - PS.results.adj$pcl.fcl.regions) != 0)	# identify countries that are different

